Makefile 42 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149115011511152115311541155115611571158115911601161116211631164116511661167116811691170117111721173117411751176117711781179118011811182118311841185118611871188118911901191119211931194119511961197119811991200120112021203120412051206120712081209121012111212121312141215121612171218121912201221122212231224122512261227122812291230123112321233123412351236123712381239124012411242124312441245124612471248
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_env/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2009 Thorsten Kukuk <kukuk@suse.de>
  13. #
  14. am__is_gnu_make = { \
  15. if test -z '$(MAKELEVEL)'; then \
  16. false; \
  17. elif test -n '$(MAKE_HOST)'; then \
  18. true; \
  19. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  20. true; \
  21. else \
  22. false; \
  23. fi; \
  24. }
  25. am__make_running_with_option = \
  26. case $${target_option-} in \
  27. ?) ;; \
  28. *) echo "am__make_running_with_option: internal error: invalid" \
  29. "target option '$${target_option-}' specified" >&2; \
  30. exit 1;; \
  31. esac; \
  32. has_opt=no; \
  33. sane_makeflags=$$MAKEFLAGS; \
  34. if $(am__is_gnu_make); then \
  35. sane_makeflags=$$MFLAGS; \
  36. else \
  37. case $$MAKEFLAGS in \
  38. *\\[\ \ ]*) \
  39. bs=\\; \
  40. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  41. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  42. esac; \
  43. fi; \
  44. skip_next=no; \
  45. strip_trailopt () \
  46. { \
  47. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  48. }; \
  49. for flg in $$sane_makeflags; do \
  50. test $$skip_next = yes && { skip_next=no; continue; }; \
  51. case $$flg in \
  52. *=*|--*) continue;; \
  53. -*I) strip_trailopt 'I'; skip_next=yes;; \
  54. -*I?*) strip_trailopt 'I';; \
  55. -*O) strip_trailopt 'O'; skip_next=yes;; \
  56. -*O?*) strip_trailopt 'O';; \
  57. -*l) strip_trailopt 'l'; skip_next=yes;; \
  58. -*l?*) strip_trailopt 'l';; \
  59. -[dEDm]) skip_next=yes;; \
  60. -[JT]) skip_next=yes;; \
  61. esac; \
  62. case $$flg in \
  63. *$$target_option*) has_opt=yes; break;; \
  64. esac; \
  65. done; \
  66. test $$has_opt = yes
  67. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  68. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  69. pkgdatadir = $(datadir)/Linux-PAM
  70. pkgincludedir = $(includedir)/Linux-PAM
  71. pkglibdir = $(libdir)/Linux-PAM
  72. pkglibexecdir = $(libexecdir)/Linux-PAM
  73. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  74. install_sh_DATA = $(install_sh) -c -m 644
  75. install_sh_PROGRAM = $(install_sh) -c
  76. install_sh_SCRIPT = $(install_sh) -c
  77. INSTALL_HEADER = $(INSTALL_DATA)
  78. transform = $(program_transform_name)
  79. NORMAL_INSTALL = :
  80. PRE_INSTALL = :
  81. POST_INSTALL = :
  82. NORMAL_UNINSTALL = :
  83. PRE_UNINSTALL = :
  84. POST_UNINSTALL = :
  85. build_triplet = x86_64-pc-linux-gnu
  86. host_triplet = arm-unknown-linux-gnueabihf
  87. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  88. subdir = modules/pam_env
  89. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  90. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  91. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  92. $(top_srcdir)/m4/intlmacosx.m4 \
  93. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  94. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  95. $(top_srcdir)/m4/ld-no-undefined.m4 \
  96. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  97. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  98. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  99. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  100. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  101. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  102. $(top_srcdir)/m4/progtest.m4 \
  103. $(top_srcdir)/m4/warn_lang_flags.m4 \
  104. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  105. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  106. $(ACLOCAL_M4)
  107. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  108. $(am__dist_noinst_DATA_DIST) $(dist_secureconf_DATA) \
  109. $(dist_sysconf_DATA) $(am__DIST_COMMON)
  110. mkinstalldirs = $(install_sh) -d
  111. CONFIG_HEADER = $(top_builddir)/config.h
  112. CONFIG_CLEAN_FILES =
  113. CONFIG_CLEAN_VPATH_FILES =
  114. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  115. am__vpath_adj = case $$p in \
  116. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  117. *) f=$$p;; \
  118. esac;
  119. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  120. am__install_max = 40
  121. am__nobase_strip_setup = \
  122. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  123. am__nobase_strip = \
  124. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  125. am__nobase_list = $(am__nobase_strip_setup); \
  126. for p in $$list; do echo "$$p $$p"; done | \
  127. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  128. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  129. if (++n[$$2] == $(am__install_max)) \
  130. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  131. END { for (dir in files) print dir, files[dir] }'
  132. am__base_list = \
  133. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  134. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  135. am__uninstall_files_from_dir = { \
  136. test -z "$$files" \
  137. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  138. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  139. $(am__cd) "$$dir" && rm -f $$files; }; \
  140. }
  141. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" \
  142. "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)" \
  143. "$(DESTDIR)$(sysconfdir)"
  144. LTLIBRARIES = $(securelib_LTLIBRARIES)
  145. pam_env_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  146. pam_env_la_SOURCES = pam_env.c
  147. pam_env_la_OBJECTS = pam_env.lo
  148. AM_V_lt = $(am__v_lt_$(V))
  149. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  150. am__v_lt_0 = --silent
  151. am__v_lt_1 =
  152. AM_V_P = $(am__v_P_$(V))
  153. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  154. am__v_P_0 = false
  155. am__v_P_1 = :
  156. AM_V_GEN = $(am__v_GEN_$(V))
  157. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  158. am__v_GEN_0 = @echo " GEN " $@;
  159. am__v_GEN_1 =
  160. AM_V_at = $(am__v_at_$(V))
  161. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  162. am__v_at_0 = @
  163. am__v_at_1 =
  164. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  165. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  166. am__maybe_remake_depfiles = depfiles
  167. am__depfiles_remade = ./$(DEPDIR)/pam_env.Plo
  168. am__mv = mv -f
  169. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  170. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  171. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  172. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  173. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  174. $(AM_CFLAGS) $(CFLAGS)
  175. AM_V_CC = $(am__v_CC_$(V))
  176. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  177. am__v_CC_0 = @echo " CC " $@;
  178. am__v_CC_1 =
  179. CCLD = $(CC)
  180. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  181. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  182. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  183. AM_V_CCLD = $(am__v_CCLD_$(V))
  184. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  185. am__v_CCLD_0 = @echo " CCLD " $@;
  186. am__v_CCLD_1 =
  187. SOURCES = pam_env.c
  188. DIST_SOURCES = pam_env.c
  189. am__can_run_installinfo = \
  190. case $$AM_UPDATE_INFO_DIR in \
  191. n|no|NO) false;; \
  192. *) (install-info --version) >/dev/null 2>&1;; \
  193. esac
  194. man5dir = $(mandir)/man5
  195. man8dir = $(mandir)/man8
  196. NROFF = nroff
  197. MANS = $(dist_man_MANS)
  198. am__dist_noinst_DATA_DIST = README
  199. DATA = $(dist_noinst_DATA) $(dist_secureconf_DATA) \
  200. $(dist_sysconf_DATA)
  201. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  202. # Read a list of newline-separated strings from the standard input,
  203. # and print each of them once, without duplicates. Input order is
  204. # *not* preserved.
  205. am__uniquify_input = $(AWK) '\
  206. BEGIN { nonempty = 0; } \
  207. { items[$$0] = 1; nonempty = 1; } \
  208. END { if (nonempty) { for (i in items) print i; }; } \
  209. '
  210. # Make sure the list of sources is unique. This is necessary because,
  211. # e.g., the same source file might be shared among _SOURCES variables
  212. # for different programs/libraries.
  213. am__define_uniq_tagged_files = \
  214. list='$(am__tagged_files)'; \
  215. unique=`for i in $$list; do \
  216. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  217. done | $(am__uniquify_input)`
  218. ETAGS = etags
  219. CTAGS = ctags
  220. am__tty_colors_dummy = \
  221. mgn= red= grn= lgn= blu= brg= std=; \
  222. am__color_tests=no
  223. am__tty_colors = { \
  224. $(am__tty_colors_dummy); \
  225. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  226. am__color_tests=no; \
  227. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  228. am__color_tests=yes; \
  229. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  230. am__color_tests=yes; \
  231. fi; \
  232. if test $$am__color_tests = yes; then \
  233. red=''; \
  234. grn=''; \
  235. lgn=''; \
  236. blu=''; \
  237. mgn=''; \
  238. brg=''; \
  239. std=''; \
  240. fi; \
  241. }
  242. am__recheck_rx = ^[ ]*:recheck:[ ]*
  243. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  244. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  245. # A command that, given a newline-separated list of test names on the
  246. # standard input, print the name of the tests that are to be re-run
  247. # upon "make recheck".
  248. am__list_recheck_tests = $(AWK) '{ \
  249. recheck = 1; \
  250. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  251. { \
  252. if (rc < 0) \
  253. { \
  254. if ((getline line2 < ($$0 ".log")) < 0) \
  255. recheck = 0; \
  256. break; \
  257. } \
  258. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  259. { \
  260. recheck = 0; \
  261. break; \
  262. } \
  263. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  264. { \
  265. break; \
  266. } \
  267. }; \
  268. if (recheck) \
  269. print $$0; \
  270. close ($$0 ".trs"); \
  271. close ($$0 ".log"); \
  272. }'
  273. # A command that, given a newline-separated list of test names on the
  274. # standard input, create the global log from their .trs and .log files.
  275. am__create_global_log = $(AWK) ' \
  276. function fatal(msg) \
  277. { \
  278. print "fatal: making $@: " msg | "cat >&2"; \
  279. exit 1; \
  280. } \
  281. function rst_section(header) \
  282. { \
  283. print header; \
  284. len = length(header); \
  285. for (i = 1; i <= len; i = i + 1) \
  286. printf "="; \
  287. printf "\n\n"; \
  288. } \
  289. { \
  290. copy_in_global_log = 1; \
  291. global_test_result = "RUN"; \
  292. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  293. { \
  294. if (rc < 0) \
  295. fatal("failed to read from " $$0 ".trs"); \
  296. if (line ~ /$(am__global_test_result_rx)/) \
  297. { \
  298. sub("$(am__global_test_result_rx)", "", line); \
  299. sub("[ ]*$$", "", line); \
  300. global_test_result = line; \
  301. } \
  302. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  303. copy_in_global_log = 0; \
  304. }; \
  305. if (copy_in_global_log) \
  306. { \
  307. rst_section(global_test_result ": " $$0); \
  308. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  309. { \
  310. if (rc < 0) \
  311. fatal("failed to read from " $$0 ".log"); \
  312. print line; \
  313. }; \
  314. printf "\n"; \
  315. }; \
  316. close ($$0 ".trs"); \
  317. close ($$0 ".log"); \
  318. }'
  319. # Restructured Text title.
  320. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  321. # Solaris 10 'make', and several other traditional 'make' implementations,
  322. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  323. # by disabling -e (using the XSI extension "set +e") if it's set.
  324. am__sh_e_setup = case $$- in *e*) set +e;; esac
  325. # Default flags passed to test drivers.
  326. am__common_driver_flags = \
  327. --color-tests "$$am__color_tests" \
  328. --enable-hard-errors "$$am__enable_hard_errors" \
  329. --expect-failure "$$am__expect_failure"
  330. # To be inserted before the command running the test. Creates the
  331. # directory for the log if needed. Stores in $dir the directory
  332. # containing $f, in $tst the test, in $log the log. Executes the
  333. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  334. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  335. # will run the test scripts (or their associated LOG_COMPILER, if
  336. # thy have one).
  337. am__check_pre = \
  338. $(am__sh_e_setup); \
  339. $(am__vpath_adj_setup) $(am__vpath_adj) \
  340. $(am__tty_colors); \
  341. srcdir=$(srcdir); export srcdir; \
  342. case "$@" in \
  343. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  344. *) am__odir=.;; \
  345. esac; \
  346. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  347. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  348. if test -f "./$$f"; then dir=./; \
  349. elif test -f "$$f"; then dir=; \
  350. else dir="$(srcdir)/"; fi; \
  351. tst=$$dir$$f; log='$@'; \
  352. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  353. am__enable_hard_errors=no; \
  354. else \
  355. am__enable_hard_errors=yes; \
  356. fi; \
  357. case " $(XFAIL_TESTS) " in \
  358. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  359. am__expect_failure=yes;; \
  360. *) \
  361. am__expect_failure=no;; \
  362. esac; \
  363. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  364. # A shell command to get the names of the tests scripts with any registered
  365. # extension removed (i.e., equivalently, the names of the test logs, with
  366. # the '.log' extension removed). The result is saved in the shell variable
  367. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  368. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  369. # since that might cause problem with VPATH rewrites for suffix-less tests.
  370. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  371. am__set_TESTS_bases = \
  372. bases='$(TEST_LOGS)'; \
  373. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  374. bases=`echo $$bases`
  375. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  376. RECHECK_LOGS = $(TEST_LOGS)
  377. AM_RECURSIVE_TARGETS = check recheck
  378. TEST_SUITE_LOG = test-suite.log
  379. TEST_EXTENSIONS = .test
  380. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  381. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  382. am__set_b = \
  383. case '$@' in \
  384. */*) \
  385. case '$*' in \
  386. */*) b='$*';; \
  387. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  388. esac;; \
  389. *) \
  390. b='$*';; \
  391. esac
  392. am__test_logs1 = $(TESTS:=.log)
  393. am__test_logs2 = $(am__test_logs1:.log=.log)
  394. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  395. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  396. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  397. $(TEST_LOG_FLAGS)
  398. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  399. $(top_srcdir)/build-aux/depcomp \
  400. $(top_srcdir)/build-aux/test-driver
  401. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  402. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  403. AMTAR = $${TAR-tar}
  404. AM_DEFAULT_VERBOSITY = 1
  405. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  406. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  407. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  408. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  409. AWK = gawk
  410. BROWSER =
  411. BUILD_CFLAGS =
  412. BUILD_CPPFLAGS =
  413. BUILD_LDFLAGS =
  414. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  415. CCDEPMODE = depmode=gcc3
  416. CC_FOR_BUILD = gcc
  417. CFLAGS = -g -O2
  418. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  419. CPPFLAGS =
  420. CRYPTO_LIBS =
  421. CRYPT_CFLAGS =
  422. CRYPT_LIBS = -lcrypt
  423. CYGPATH_W = echo
  424. DEFS = -DHAVE_CONFIG_H
  425. DEPDIR = .deps
  426. DLLTOOL = false
  427. DSYMUTIL =
  428. DUMPBIN = :
  429. ECHO_C =
  430. ECHO_N = -n
  431. ECHO_T =
  432. ECONF_CFLAGS =
  433. ECONF_LIBS =
  434. EGREP = /bin/grep -E
  435. EXEEXT =
  436. EXE_CFLAGS = -fpie
  437. EXE_LDFLAGS = -pie -Wl,-z,now
  438. FGREP = /bin/grep -F
  439. FO2PDF =
  440. GETTEXT_MACRO_VERSION = 0.18
  441. GMSGFMT = /usr/bin/msgfmt
  442. GMSGFMT_015 = /usr/bin/msgfmt
  443. GREP = /bin/grep
  444. INSTALL = /usr/bin/install -c
  445. INSTALL_DATA = ${INSTALL} -m 644
  446. INSTALL_PROGRAM = ${INSTALL}
  447. INSTALL_SCRIPT = ${INSTALL}
  448. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  449. INTLLIBS =
  450. INTL_MACOSX_LIBS =
  451. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  452. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  453. LEX = flex
  454. LEXLIB = -lfl
  455. LEX_OUTPUT_ROOT = lex.yy
  456. LIBAUDIT =
  457. LIBCRYPT = -lcrypt
  458. LIBDB =
  459. LIBDL = -ldl
  460. LIBICONV = -liconv
  461. LIBINTL =
  462. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  463. LIBPRELUDE_CFLAGS =
  464. LIBPRELUDE_CONFIG = no
  465. LIBPRELUDE_CONFIG_PREFIX =
  466. LIBPRELUDE_LDFLAGS =
  467. LIBPRELUDE_LIBS =
  468. LIBPRELUDE_PREFIX =
  469. LIBPRELUDE_PTHREAD_CFLAGS =
  470. LIBS =
  471. LIBSELINUX =
  472. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  473. LIPO =
  474. LN_S = ln -s
  475. LTLIBICONV = -liconv
  476. LTLIBINTL =
  477. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  478. LT_SYS_LIBRARY_PATH =
  479. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  480. MANIFEST_TOOL = :
  481. MKDIR_P = /bin/mkdir -p
  482. MSGFMT = /usr/bin/msgfmt
  483. MSGFMT_015 = /usr/bin/msgfmt
  484. MSGMERGE = /usr/bin/msgmerge
  485. NIS_CFLAGS =
  486. NIS_LIBS =
  487. NM = nm
  488. NMEDIT =
  489. NSL_CFLAGS =
  490. NSL_LIBS = -lnsl
  491. OBJDUMP = objdump
  492. OBJEXT = o
  493. OTOOL =
  494. OTOOL64 =
  495. PACKAGE = Linux-PAM
  496. PACKAGE_BUGREPORT =
  497. PACKAGE_NAME = Linux-PAM
  498. PACKAGE_STRING = Linux-PAM 1.5.2
  499. PACKAGE_TARNAME = Linux-PAM
  500. PACKAGE_URL =
  501. PACKAGE_VERSION = 1.5.2
  502. PATH_SEPARATOR = :
  503. PKG_CONFIG = /usr/bin/pkg-config
  504. PKG_CONFIG_LIBDIR =
  505. PKG_CONFIG_PATH =
  506. POSUB = po
  507. RANLIB = ranlib
  508. SCONFIGDIR = ${prefix}/etc/security
  509. SECUREDIR = ${exec_prefix}/lib/security
  510. SED = /bin/sed
  511. SET_MAKE =
  512. SHELL = /bin/bash
  513. STRINGPARAM_HMAC =
  514. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  515. STRIP = strip
  516. TIRPC_CFLAGS =
  517. TIRPC_LIBS =
  518. USE_NLS = yes
  519. VERSION = 1.5.2
  520. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  521. XGETTEXT = /usr/bin/xgettext
  522. XGETTEXT_015 = /usr/bin/xgettext
  523. XGETTEXT_EXTRA_OPTIONS =
  524. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  525. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  526. XML_CATALOG_FILE = /etc/xml/catalog
  527. XSLTPROC = /usr/bin/xsltproc
  528. YACC = bison -y
  529. YFLAGS =
  530. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_env
  531. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_env
  532. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  533. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  534. ac_ct_AR =
  535. ac_ct_CC =
  536. ac_ct_DUMPBIN = link -dump
  537. am__include = include
  538. am__leading_dot = .
  539. am__quote =
  540. am__tar = $${TAR-tar} chof - "$$tardir"
  541. am__untar = $${TAR-tar} xf -
  542. bindir = ${exec_prefix}/bin
  543. build = x86_64-pc-linux-gnu
  544. build_alias =
  545. build_cpu = x86_64
  546. build_os = linux-gnu
  547. build_vendor = pc
  548. builddir = .
  549. datadir = ${datarootdir}
  550. datarootdir = ${prefix}/share
  551. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  552. dvidir = ${docdir}
  553. exec_prefix = ${prefix}
  554. host = arm-unknown-linux-gnueabihf
  555. host_alias = arm-linux-gnueabihf
  556. host_cpu = arm
  557. host_os = linux-gnueabihf
  558. host_vendor = unknown
  559. htmldir = ${docdir}
  560. includedir = ${prefix}/include
  561. infodir = ${datarootdir}/info
  562. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  563. libdir = ${exec_prefix}/lib
  564. libexecdir = ${exec_prefix}/libexec
  565. localedir = ${datarootdir}/locale
  566. localstatedir = ${prefix}/var
  567. mandir = ${datarootdir}/man
  568. mkdir_p = $(MKDIR_P)
  569. oldincludedir = /usr/include
  570. pam_xauth_path = /usr/bin/xauth
  571. pdfdir = ${docdir}
  572. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  573. program_transform_name = s,x,x,
  574. psdir = ${docdir}
  575. sbindir = ${exec_prefix}/sbin
  576. sharedstatedir = ${prefix}/com
  577. srcdir = .
  578. sysconfdir = ${prefix}/etc
  579. systemdunitdir =
  580. target_alias =
  581. top_build_prefix = ../../
  582. top_builddir = ../..
  583. top_srcdir = ../..
  584. CLEANFILES = *~
  585. MAINTAINERCLEANFILES = $(MANS) README
  586. EXTRA_DIST = $(XMLS)
  587. #dist_man_MANS = pam_env.conf.5 pam_env.8 environment.5
  588. XMLS = README.xml pam_env.conf.5.xml pam_env.8.xml
  589. dist_check_SCRIPTS = tst-pam_env
  590. TESTS = $(dist_check_SCRIPTS)
  591. securelibdir = $(SECUREDIR)
  592. secureconfdir = $(SCONFIGDIR)
  593. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  594. -DDEFAULT_CONF_FILE=\"$(SCONFIGDIR)/pam_env.conf\" $(WARN_CFLAGS)
  595. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  596. securelib_LTLIBRARIES = pam_env.la
  597. pam_env_la_LIBADD = $(top_builddir)/libpam/libpam.la
  598. dist_secureconf_DATA = pam_env.conf
  599. dist_sysconf_DATA = environment
  600. #dist_noinst_DATA = README
  601. all: all-am
  602. .SUFFIXES:
  603. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  604. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  605. @for dep in $?; do \
  606. case '$(am__configure_deps)' in \
  607. *$$dep*) \
  608. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  609. && { if test -f $@; then exit 0; else break; fi; }; \
  610. exit 1;; \
  611. esac; \
  612. done; \
  613. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_env/Makefile'; \
  614. $(am__cd) $(top_srcdir) && \
  615. $(AUTOMAKE) --gnu modules/pam_env/Makefile
  616. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  617. @case '$?' in \
  618. *config.status*) \
  619. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  620. *) \
  621. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  622. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  623. esac;
  624. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  625. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  626. $(top_srcdir)/configure: $(am__configure_deps)
  627. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  628. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  629. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  630. $(am__aclocal_m4_deps):
  631. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  632. @$(NORMAL_INSTALL)
  633. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  634. list2=; for p in $$list; do \
  635. if test -f $$p; then \
  636. list2="$$list2 $$p"; \
  637. else :; fi; \
  638. done; \
  639. test -z "$$list2" || { \
  640. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  641. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  642. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  643. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  644. }
  645. uninstall-securelibLTLIBRARIES:
  646. @$(NORMAL_UNINSTALL)
  647. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  648. for p in $$list; do \
  649. $(am__strip_dir) \
  650. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  651. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  652. done
  653. clean-securelibLTLIBRARIES:
  654. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  655. @list='$(securelib_LTLIBRARIES)'; \
  656. locs=`for p in $$list; do echo $$p; done | \
  657. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  658. sort -u`; \
  659. test -z "$$locs" || { \
  660. echo rm -f $${locs}; \
  661. rm -f $${locs}; \
  662. }
  663. pam_env.la: $(pam_env_la_OBJECTS) $(pam_env_la_DEPENDENCIES) $(EXTRA_pam_env_la_DEPENDENCIES)
  664. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_env_la_OBJECTS) $(pam_env_la_LIBADD) $(LIBS)
  665. mostlyclean-compile:
  666. -rm -f *.$(OBJEXT)
  667. distclean-compile:
  668. -rm -f *.tab.c
  669. include ./$(DEPDIR)/pam_env.Plo # am--include-marker
  670. $(am__depfiles_remade):
  671. @$(MKDIR_P) $(@D)
  672. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  673. am--depfiles: $(am__depfiles_remade)
  674. .c.o:
  675. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  676. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  677. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  678. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  679. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  680. .c.obj:
  681. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  682. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  683. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  684. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  685. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  686. .c.lo:
  687. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  688. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  689. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  690. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  691. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  692. mostlyclean-libtool:
  693. -rm -f *.lo
  694. clean-libtool:
  695. -rm -rf .libs _libs
  696. install-man5: $(dist_man_MANS)
  697. @$(NORMAL_INSTALL)
  698. @list1=''; \
  699. list2='$(dist_man_MANS)'; \
  700. test -n "$(man5dir)" \
  701. && test -n "`echo $$list1$$list2`" \
  702. || exit 0; \
  703. echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
  704. $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
  705. { for i in $$list1; do echo "$$i"; done; \
  706. if test -n "$$list2"; then \
  707. for i in $$list2; do echo "$$i"; done \
  708. | sed -n '/\.5[a-z]*$$/p'; \
  709. fi; \
  710. } | while read p; do \
  711. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  712. echo "$$d$$p"; echo "$$p"; \
  713. done | \
  714. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  715. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  716. sed 'N;N;s,\n, ,g' | { \
  717. list=; while read file base inst; do \
  718. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  719. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  720. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
  721. fi; \
  722. done; \
  723. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  724. while read files; do \
  725. test -z "$$files" || { \
  726. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
  727. $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
  728. done; }
  729. uninstall-man5:
  730. @$(NORMAL_UNINSTALL)
  731. @list=''; test -n "$(man5dir)" || exit 0; \
  732. files=`{ for i in $$list; do echo "$$i"; done; \
  733. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  734. sed -n '/\.5[a-z]*$$/p'; \
  735. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  736. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  737. dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
  738. install-man8: $(dist_man_MANS)
  739. @$(NORMAL_INSTALL)
  740. @list1=''; \
  741. list2='$(dist_man_MANS)'; \
  742. test -n "$(man8dir)" \
  743. && test -n "`echo $$list1$$list2`" \
  744. || exit 0; \
  745. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  746. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  747. { for i in $$list1; do echo "$$i"; done; \
  748. if test -n "$$list2"; then \
  749. for i in $$list2; do echo "$$i"; done \
  750. | sed -n '/\.8[a-z]*$$/p'; \
  751. fi; \
  752. } | while read p; do \
  753. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  754. echo "$$d$$p"; echo "$$p"; \
  755. done | \
  756. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  757. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  758. sed 'N;N;s,\n, ,g' | { \
  759. list=; while read file base inst; do \
  760. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  761. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  762. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  763. fi; \
  764. done; \
  765. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  766. while read files; do \
  767. test -z "$$files" || { \
  768. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  769. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  770. done; }
  771. uninstall-man8:
  772. @$(NORMAL_UNINSTALL)
  773. @list=''; test -n "$(man8dir)" || exit 0; \
  774. files=`{ for i in $$list; do echo "$$i"; done; \
  775. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  776. sed -n '/\.8[a-z]*$$/p'; \
  777. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  778. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  779. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  780. install-dist_secureconfDATA: $(dist_secureconf_DATA)
  781. @$(NORMAL_INSTALL)
  782. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  783. if test -n "$$list"; then \
  784. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  785. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  786. fi; \
  787. for p in $$list; do \
  788. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  789. echo "$$d$$p"; \
  790. done | $(am__base_list) | \
  791. while read files; do \
  792. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(secureconfdir)'"; \
  793. $(INSTALL_DATA) $$files "$(DESTDIR)$(secureconfdir)" || exit $$?; \
  794. done
  795. uninstall-dist_secureconfDATA:
  796. @$(NORMAL_UNINSTALL)
  797. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  798. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  799. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  800. install-dist_sysconfDATA: $(dist_sysconf_DATA)
  801. @$(NORMAL_INSTALL)
  802. @list='$(dist_sysconf_DATA)'; test -n "$(sysconfdir)" || list=; \
  803. if test -n "$$list"; then \
  804. echo " $(MKDIR_P) '$(DESTDIR)$(sysconfdir)'"; \
  805. $(MKDIR_P) "$(DESTDIR)$(sysconfdir)" || exit 1; \
  806. fi; \
  807. for p in $$list; do \
  808. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  809. echo "$$d$$p"; \
  810. done | $(am__base_list) | \
  811. while read files; do \
  812. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(sysconfdir)'"; \
  813. $(INSTALL_DATA) $$files "$(DESTDIR)$(sysconfdir)" || exit $$?; \
  814. done
  815. uninstall-dist_sysconfDATA:
  816. @$(NORMAL_UNINSTALL)
  817. @list='$(dist_sysconf_DATA)'; test -n "$(sysconfdir)" || list=; \
  818. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  819. dir='$(DESTDIR)$(sysconfdir)'; $(am__uninstall_files_from_dir)
  820. ID: $(am__tagged_files)
  821. $(am__define_uniq_tagged_files); mkid -fID $$unique
  822. tags: tags-am
  823. TAGS: tags
  824. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  825. set x; \
  826. here=`pwd`; \
  827. $(am__define_uniq_tagged_files); \
  828. shift; \
  829. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  830. test -n "$$unique" || unique=$$empty_fix; \
  831. if test $$# -gt 0; then \
  832. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  833. "$$@" $$unique; \
  834. else \
  835. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  836. $$unique; \
  837. fi; \
  838. fi
  839. ctags: ctags-am
  840. CTAGS: ctags
  841. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  842. $(am__define_uniq_tagged_files); \
  843. test -z "$(CTAGS_ARGS)$$unique" \
  844. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  845. $$unique
  846. GTAGS:
  847. here=`$(am__cd) $(top_builddir) && pwd` \
  848. && $(am__cd) $(top_srcdir) \
  849. && gtags -i $(GTAGS_ARGS) "$$here"
  850. cscopelist: cscopelist-am
  851. cscopelist-am: $(am__tagged_files)
  852. list='$(am__tagged_files)'; \
  853. case "$(srcdir)" in \
  854. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  855. *) sdir=$(subdir)/$(srcdir) ;; \
  856. esac; \
  857. for i in $$list; do \
  858. if test -f "$$i"; then \
  859. echo "$(subdir)/$$i"; \
  860. else \
  861. echo "$$sdir/$$i"; \
  862. fi; \
  863. done >> $(top_builddir)/cscope.files
  864. distclean-tags:
  865. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  866. # Recover from deleted '.trs' file; this should ensure that
  867. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  868. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  869. # to avoid problems with "make -n".
  870. .log.trs:
  871. rm -f $< $@
  872. $(MAKE) $(AM_MAKEFLAGS) $<
  873. # Leading 'am--fnord' is there to ensure the list of targets does not
  874. # expand to empty, as could happen e.g. with make check TESTS=''.
  875. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  876. am--force-recheck:
  877. @:
  878. $(TEST_SUITE_LOG): $(TEST_LOGS)
  879. @$(am__set_TESTS_bases); \
  880. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  881. redo_bases=`for i in $$bases; do \
  882. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  883. done`; \
  884. if test -n "$$redo_bases"; then \
  885. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  886. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  887. if $(am__make_dryrun); then :; else \
  888. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  889. fi; \
  890. fi; \
  891. if test -n "$$am__remaking_logs"; then \
  892. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  893. "recursion detected" >&2; \
  894. elif test -n "$$redo_logs"; then \
  895. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  896. fi; \
  897. if $(am__make_dryrun); then :; else \
  898. st=0; \
  899. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  900. for i in $$redo_bases; do \
  901. test -f $$i.trs && test -r $$i.trs \
  902. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  903. test -f $$i.log && test -r $$i.log \
  904. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  905. done; \
  906. test $$st -eq 0 || exit 1; \
  907. fi
  908. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  909. ws='[ ]'; \
  910. results=`for b in $$bases; do echo $$b.trs; done`; \
  911. test -n "$$results" || results=/dev/null; \
  912. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  913. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  914. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  915. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  916. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  917. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  918. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  919. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  920. success=true; \
  921. else \
  922. success=false; \
  923. fi; \
  924. br='==================='; br=$$br$$br$$br$$br; \
  925. result_count () \
  926. { \
  927. if test x"$$1" = x"--maybe-color"; then \
  928. maybe_colorize=yes; \
  929. elif test x"$$1" = x"--no-color"; then \
  930. maybe_colorize=no; \
  931. else \
  932. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  933. fi; \
  934. shift; \
  935. desc=$$1 count=$$2; \
  936. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  937. color_start=$$3 color_end=$$std; \
  938. else \
  939. color_start= color_end=; \
  940. fi; \
  941. echo "$${color_start}# $$desc $$count$${color_end}"; \
  942. }; \
  943. create_testsuite_report () \
  944. { \
  945. result_count $$1 "TOTAL:" $$all "$$brg"; \
  946. result_count $$1 "PASS: " $$pass "$$grn"; \
  947. result_count $$1 "SKIP: " $$skip "$$blu"; \
  948. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  949. result_count $$1 "FAIL: " $$fail "$$red"; \
  950. result_count $$1 "XPASS:" $$xpass "$$red"; \
  951. result_count $$1 "ERROR:" $$error "$$mgn"; \
  952. }; \
  953. { \
  954. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  955. $(am__rst_title); \
  956. create_testsuite_report --no-color; \
  957. echo; \
  958. echo ".. contents:: :depth: 2"; \
  959. echo; \
  960. for b in $$bases; do echo $$b; done \
  961. | $(am__create_global_log); \
  962. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  963. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  964. if $$success; then \
  965. col="$$grn"; \
  966. else \
  967. col="$$red"; \
  968. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  969. fi; \
  970. echo "$${col}$$br$${std}"; \
  971. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  972. echo "$${col}$$br$${std}"; \
  973. create_testsuite_report --maybe-color; \
  974. echo "$$col$$br$$std"; \
  975. if $$success; then :; else \
  976. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  977. if test -n "$(PACKAGE_BUGREPORT)"; then \
  978. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  979. fi; \
  980. echo "$$col$$br$$std"; \
  981. fi; \
  982. $$success || exit 1
  983. check-TESTS: $(dist_check_SCRIPTS)
  984. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  985. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  986. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  987. @set +e; $(am__set_TESTS_bases); \
  988. log_list=`for i in $$bases; do echo $$i.log; done`; \
  989. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  990. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  991. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  992. exit $$?;
  993. recheck: all $(dist_check_SCRIPTS)
  994. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  995. @set +e; $(am__set_TESTS_bases); \
  996. bases=`for i in $$bases; do echo $$i; done \
  997. | $(am__list_recheck_tests)` || exit 1; \
  998. log_list=`for i in $$bases; do echo $$i.log; done`; \
  999. log_list=`echo $$log_list`; \
  1000. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  1001. am__force_recheck=am--force-recheck \
  1002. TEST_LOGS="$$log_list"; \
  1003. exit $$?
  1004. tst-pam_env.log: tst-pam_env
  1005. @p='tst-pam_env'; \
  1006. b='tst-pam_env'; \
  1007. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1008. --log-file $$b.log --trs-file $$b.trs \
  1009. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1010. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1011. .test.log:
  1012. @p='$<'; \
  1013. $(am__set_b); \
  1014. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1015. --log-file $$b.log --trs-file $$b.trs \
  1016. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1017. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1018. #.test$(EXEEXT).log:
  1019. # @p='$<'; \
  1020. # $(am__set_b); \
  1021. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1022. # --log-file $$b.log --trs-file $$b.trs \
  1023. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1024. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  1025. distdir: $(BUILT_SOURCES)
  1026. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1027. distdir-am: $(DISTFILES)
  1028. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1029. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1030. list='$(DISTFILES)'; \
  1031. dist_files=`for file in $$list; do echo $$file; done | \
  1032. sed -e "s|^$$srcdirstrip/||;t" \
  1033. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1034. case $$dist_files in \
  1035. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1036. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1037. sort -u` ;; \
  1038. esac; \
  1039. for file in $$dist_files; do \
  1040. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1041. if test -d $$d/$$file; then \
  1042. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1043. if test -d "$(distdir)/$$file"; then \
  1044. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1045. fi; \
  1046. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1047. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1048. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1049. fi; \
  1050. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1051. else \
  1052. test -f "$(distdir)/$$file" \
  1053. || cp -p $$d/$$file "$(distdir)/$$file" \
  1054. || exit 1; \
  1055. fi; \
  1056. done
  1057. check-am: all-am
  1058. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1059. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1060. check: check-am
  1061. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  1062. installdirs:
  1063. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(sysconfdir)"; do \
  1064. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1065. done
  1066. install: install-am
  1067. install-exec: install-exec-am
  1068. install-data: install-data-am
  1069. uninstall: uninstall-am
  1070. install-am: all-am
  1071. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1072. installcheck: installcheck-am
  1073. install-strip:
  1074. if test -z '$(STRIP)'; then \
  1075. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1076. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1077. install; \
  1078. else \
  1079. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1080. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1081. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1082. fi
  1083. mostlyclean-generic:
  1084. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1085. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1086. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1087. clean-generic:
  1088. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1089. distclean-generic:
  1090. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1091. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1092. maintainer-clean-generic:
  1093. @echo "This command is intended for maintainers to use"
  1094. @echo "it deletes files that may require special tools to rebuild."
  1095. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1096. clean: clean-am
  1097. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1098. mostlyclean-am
  1099. distclean: distclean-am
  1100. -rm -f ./$(DEPDIR)/pam_env.Plo
  1101. -rm -f Makefile
  1102. distclean-am: clean-am distclean-compile distclean-generic \
  1103. distclean-tags
  1104. dvi: dvi-am
  1105. dvi-am:
  1106. html: html-am
  1107. html-am:
  1108. info: info-am
  1109. info-am:
  1110. install-data-am: install-dist_secureconfDATA install-man \
  1111. install-securelibLTLIBRARIES
  1112. install-dvi: install-dvi-am
  1113. install-dvi-am:
  1114. install-exec-am: install-dist_sysconfDATA
  1115. install-html: install-html-am
  1116. install-html-am:
  1117. install-info: install-info-am
  1118. install-info-am:
  1119. install-man: install-man5 install-man8
  1120. install-pdf: install-pdf-am
  1121. install-pdf-am:
  1122. install-ps: install-ps-am
  1123. install-ps-am:
  1124. installcheck-am:
  1125. maintainer-clean: maintainer-clean-am
  1126. -rm -f ./$(DEPDIR)/pam_env.Plo
  1127. -rm -f Makefile
  1128. maintainer-clean-am: distclean-am maintainer-clean-generic
  1129. mostlyclean: mostlyclean-am
  1130. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1131. mostlyclean-libtool
  1132. pdf: pdf-am
  1133. pdf-am:
  1134. ps: ps-am
  1135. ps-am:
  1136. uninstall-am: uninstall-dist_secureconfDATA uninstall-dist_sysconfDATA \
  1137. uninstall-man uninstall-securelibLTLIBRARIES
  1138. uninstall-man: uninstall-man5 uninstall-man8
  1139. .MAKE: check-am install-am install-strip
  1140. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1141. check-am clean clean-generic clean-libtool \
  1142. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1143. distclean distclean-compile distclean-generic \
  1144. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1145. html-am info info-am install install-am install-data \
  1146. install-data-am install-dist_secureconfDATA \
  1147. install-dist_sysconfDATA install-dvi install-dvi-am \
  1148. install-exec install-exec-am install-html install-html-am \
  1149. install-info install-info-am install-man install-man5 \
  1150. install-man8 install-pdf install-pdf-am install-ps \
  1151. install-ps-am install-securelibLTLIBRARIES install-strip \
  1152. installcheck installcheck-am installdirs maintainer-clean \
  1153. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1154. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1155. recheck tags tags-am uninstall uninstall-am \
  1156. uninstall-dist_secureconfDATA uninstall-dist_sysconfDATA \
  1157. uninstall-man uninstall-man5 uninstall-man8 \
  1158. uninstall-securelibLTLIBRARIES
  1159. .PRECIOUS: Makefile
  1160. #environment.5: pam_env.conf.5.xml
  1161. #-include $(top_srcdir)/Make.xml.rules
  1162. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1163. # Otherwise a system limit (for SysV at least) may be exceeded.
  1164. .NOEXPORT: